package com.duben.microtribe.mvp.model;

import java.io.Serializable;
import java.util.List;

/**
 * 描述：订单记录
 * 作者：孟崔广
 * 邮箱：mengcga@163.com
 */
public class OrderRecordBean implements Serializable {

    private List<RecordsBean> list;
    /**
     * payChannel : WEIXIN
     * nextDay : 2020-22-11
     * balance : 11.11
     * topText : 0.01元试用会员
     */

    private AgreementDTO agreement;

    public List<RecordsBean> getRecords() {
        return list;
    }

    public AgreementDTO getAgreement() {
        return agreement;
    }

    public void setAgreement(AgreementDTO agreement) {
        this.agreement = agreement;
    }

    public static class AgreementDTO implements Serializable {
        private String payChannel;
        private String nextDay;
        private String balance;
        private String topText;

        public String getPayChannel() {
            return payChannel;
        }

        public void setPayChannel(String payChannel) {
            this.payChannel = payChannel;
        }

        public String getNextDay() {
            return nextDay;
        }

        public void setNextDay(String nextDay) {
            this.nextDay = nextDay;
        }

        public String getBalance() {
            return balance;
        }

        public void setBalance(String balance) {
            this.balance = balance;
        }

        public String getTopText() {
            return topText;
        }

        public void setTopText(String topText) {
            this.topText = topText;
        }
    }

    public class RecordsBean implements Serializable {

        private double balance;
        private String orderid;
        private String createtime;
        private String remarks;

        public double getBalance() {
            return balance;
        }

        public String getOrderid() {
            return orderid;
        }

        public String getTime() {
            return createtime;
        }

        public String getTitle() {
            return remarks;
        }
    }


}

